 FUNCTION MINSEC,deg,radian=radian,equatorial=equatorial,decl=decl

  IF KEYWORD_SET(radian) THEN deg=deg*180.0d/!dpi
 
  IF KEYWORD_SET(equatorial) THEN BEGIN

   deg=(deg+360.0d) MOD 360.0d
   degarg=DOUBLE(FIX(deg/15.0d))
   degfrac=(deg/15.0d)-degarg
  
  ENDIF ELSE BEGIN

   IF KEYWORD_SET(decl) THEN BEGIN
    index=WHERE(deg GT 180.0d)
    IF index(0) NE -1 THEN deg(index)=(360.0d)-deg(index)
   ENDIF ELSE BEGIN
     index=WHERE(deg LT 0.0)
     IF index(0) NE -1 THEN deg(index)=deg(index)+360.0d
   ENDELSE
   degarg=DOUBLE(FIX(deg))
   degfrac=deg-degarg

  ENDELSE

  degmin=FIX(degfrac*60)
  degsec=(degfrac*3600) MOD 60.0d
  dmmssmsec=degarg+(degmin/100.0d)+(degsec/10000.0d)

 ; print,deg,degmin,degsec
 
 RETURN,dmmssmsec
 END
